#include "plugin.h"

NowPlayingPlugin::NowPlayingPlugin()
    : SPlugin( QIcon(":/plugins/NowPlaying/icon.png") ,
          "NowPlaying",
          tr("Now Playing plugin for tagarg player.") )
{
    engine = 0;
}

bool NowPlayingPlugin::startEvent()
{
    if( engine )
        return false;

    engine = new LoaderEngine( this );
    return true;
}

bool NowPlayingPlugin::stopEvent()
{
    if( !engine )
        return false;

    delete engine;
    engine = 0;

    return true;
}

NowPlayingPlugin::~NowPlayingPlugin()
{
}
